### Hierarchy

- Rows

## Index

### Properties

- id
- label
- labelStyle
- referenceObjects
- shortDesc
- tasks

## Properties

### id

id: any

The identifier for the row. Optional if the row contains only one task. This must be unique across all rows in Gantt.

### label

label: string

The label associated with the row.

### labelStyle

labelStyle: object

The CSS style defining the style of the label. Only CSS style applicable to SVG elements can be used. See the Help documentation for more information.

### referenceObjects

referenceObjects: object[]

An array of reference objects associated with the row.

### shortDesc

shortDesc: string

The description of the row. This is used for accessibility.

### tasks

tasks: object[]

An array of tasks. If not specified, no data will be shown.

Generated using TypeDoc